Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class BeanAccessLanguageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.beanutils.BeanAccessLanguageException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NestedNullException

    public class BeanAccessLanguageException

extends IllegalArgumentException

Thrown to indicate that the Bean Access Language cannot execute query against given bean. This is a runtime exception and access langauges are encouraged to subclass to create custom exceptions whenever appropriate.

Since:
  1.7
Author:
  Robert Burrell Donkin
See Also:
  Serialized Form

Constructor Summary
`BeanAccessLanguageException()` Constructs a `BeanAccessLanguageException` without a detail message.
`BeanAccessLanguageException(String message)` Constructs a `BeanAccessLanguageException` without a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanAccessLanguageException

    public BeanAccessLanguageException()

  Constructs a `BeanAccessLanguageException` without a detail message.

### BeanAccessLanguageException

    public BeanAccessLanguageException(String message)

  Constructs a `BeanAccessLanguageException` without a detail message.

  Parameters:
    `message` - the detail message explaining this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.